> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domino.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get ground truth traffic



## OpenAPI

````yaml /api-specs/cloud/public-api.json get /model-monitor/v2/api/model/{model_id}/traffic/ground-truth
openapi: 3.0.3
info:
  title: Domino Public API
  description: Reference for Domino's public REST API endpoints.
  version: 6.4.0
  x-catalog-key: nucleus
servers:
  - url: https://mycluster.domino.tech
    description: >-
      Replace 'mycluster.domino.tech' with your Domino cluster hostname. For
      Domino Cloud customers, that is `your-subdomain`.domino.tech (e.g.,
      acme.domino.tech). For self-hosted deployments, it is the hostname you
      reach the Domino UI at.
security: []
tags:
  - name: Projects
  - name: Project templates
  - name: Workspaces
  - name: Jobs
  - name: HPC Jobs
  - name: Environments
  - name: Hardware Tiers
  - name: Datasets
  - name: Data Sources
  - name: GenAI
  - name: AI Systems
  - name: Apps
  - name: App versions
  - name: App instances
  - name: Model APIs
  - name: Registered models
  - name: Model deployment
  - name: Extensions
  - name: Cost and billing
  - name: Users and organizations
  - name: Service accounts
  - name: Personal Access Tokens
  - name: Personal Access Tokens (admin)
  - name: Audit Trail
  - name: Custom metrics
  - name: PPM
  - name: Model Monitoring models
  - name: Model Monitoring drift and quality
  - name: Model Monitoring settings
  - name: Model Monitoring authentication
  - name: Governance bundles
  - name: Governance policies
  - name: Governance evidence and results
  - name: Governance operations
  - name: NetApp Volumes
  - name: NetApp Volumes snapshots
  - name: NetApp Volumes filesystems
  - name: NetApp Volumes transfers
  - name: Tags
  - name: Properties
externalDocs:
  description: OpenAPI
  url: https://swagger.io/resources/open-api/
paths:
  /model-monitor/v2/api/model/{model_id}/traffic/ground-truth:
    summary: Gets the model's ground truth traffic for matched labels
    parameters:
      - in: path
        name: model_id
        required: true
        schema:
          type: string
      - in: query
        name: startTimestamp
        required: true
        schema:
          type: number
      - in: query
        name: endTimestamp
        required: true
        schema:
          type: number
    get:
      tags:
        - Model Monitoring models
      operationId: getGroundTruthTraffic
      responses:
        '200':
          description: >-
            Gets the ground truth traffic based on number of ground truth labels
            that matched prediction data.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/dmm-plier_modelTraffic'
        '400':
          description: Bad request input data.
        '403':
          description: Forbidden. The endpoint enforces permissions.
        '404':
          description: Model not found.
        '500':
          description: Internal server error, check server logs.
      security:
        - dmm-plier_DominoApiKeyAuth: []
        - dmm-plier_DmmApiKeyAuth: []
        - dmm-plier_cookieAuth: []
        - dmm-plier_BearerAuth: []
components:
  schemas:
    dmm-plier_modelTraffic:
      type: object
      required:
        - modelId
        - traffic
      properties:
        traffic:
          title: Model traffic data
          description: A list that contains the traffic data for model.
          type: array
          items:
            $ref: '#/components/schemas/dmm-plier_dataTraffic'
        modelId:
          title: Model id
          description: The model id.
          type: string
          example: 60116865cd9ab24dd866cfc6
    dmm-plier_dataTraffic:
      type: object
      required:
        - queries
        - date
      properties:
        queries:
          type: number
        date:
          type: integer
  securitySchemes:
    dmm-plier_DominoApiKeyAuth:
      type: apiKey
      in: header
      name: X-Domino-Api-Key
    dmm-plier_DmmApiKeyAuth:
      type: apiKey
      in: header
      name: X-DMM-API-KEY
    dmm-plier_cookieAuth:
      type: apiKey
      in: cookie
      name: PLAY_SESSION
    dmm-plier_BearerAuth:
      type: http
      scheme: bearer

````

## Related topics

- [Set up model quality monitoring](/cloud/platform-capabilities/features/monitoring/3-set-up-domino-endpoints/3-set-up-model-qual-monitor.md)
- [Model quality methodology](/cloud/platform-capabilities/features/monitoring/5-use-monitoring/6-model-quality-methodology.md)
- [Set up Cohort Analysis for Model Monitor](/cloud/platform-capabilities/features/monitoring/4-set-up-model-monitor/6-set-up-cohort-analysis-mm.md)
- [Set up Cohort Analysis for Domino endpoints](/cloud/platform-capabilities/features/monitoring/3-set-up-domino-endpoints/4-set-up-cohort-analysis.md)
